[ubuntu/zesty-proposed] snapd-glib 1.5-0ubuntu1 (Accepted)

Robert Ancell robert.ancell at canonical.com
Thu Jan 26 02:39:15 UTC 2017


snapd-glib (1.5-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Add new API: snapd_client_refresh_all, snapd_client_find_refreshable.
    - Use new objects for progress callbacks - API break, ABI will continue to
      work.
    - Add Qt/QML bindings.
    - Add new errors reported by snapd.
    - Fix payment errors being detected.
    - Close socket on unref.
    - Fix small memory leaks.
    - Add regression tests.
  * debian/control:
  * debian/libsnapd-qt1.install:
  * debian/libsnapd-qt1.symbols:
  * debian/qml-module-snapd.install:
  * debian/libsnapd-qt-dev.install:
  * debian/libsnapd-glib1.install:
  * debian/libsnapd-glib-dev.install:
    - Add new packages libsnapd-qt1, qml-module-snapd, libsnapd-qt-dev
    - Add build-depends on qtbase5-dev, qtdeclarative5-dev
  * debian/libsnapd-glib1.symbols:
    - Updated

Date: Thu, 26 Jan 2017 09:01:05 +1300
Changed-By: Robert Ancell <robert.ancell at canonical.com>
https://launchpad.net/ubuntu/+source/snapd-glib/1.5-0ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 26 Jan 2017 09:01:05 +1300
Source: snapd-glib
Binary: libsnapd-glib1 gir1.2-snapd-1 libsnapd-glib-dev libsnapd-qt1 qml-module-snapd libsnapd-qt-dev snapd-login-service
Architecture: source
Version: 1.5-0ubuntu1
Distribution: zesty
Urgency: medium
Maintainer: Robert Ancell <robert.ancell at canonical.com>
Changed-By: Robert Ancell <robert.ancell at canonical.com>
Description:
 gir1.2-snapd-1 - Typelib file for libsnapd-glib1
 libsnapd-glib-dev - GLib snapd library (development files)
 libsnapd-glib1 - GLib snapd library
 libsnapd-qt-dev - Qt snapd library (development files)
 libsnapd-qt1 - Qt snapd library
 qml-module-snapd - Snapd QML module
 snapd-login-service - Daemon to allow non-root access to snapd
Changes:
 snapd-glib (1.5-0ubuntu1) zesty; urgency=medium
 .
   * New upstream release:
     - Add new API: snapd_client_refresh_all, snapd_client_find_refreshable.
     - Use new objects for progress callbacks - API break, ABI will continue to
       work.
     - Add Qt/QML bindings.
     - Add new errors reported by snapd.
     - Fix payment errors being detected.
     - Close socket on unref.
     - Fix small memory leaks.
     - Add regression tests.
   * debian/control:
   * debian/libsnapd-qt1.install:
   * debian/libsnapd-qt1.symbols:
   * debian/qml-module-snapd.install:
   * debian/libsnapd-qt-dev.install:
   * debian/libsnapd-glib1.install:
   * debian/libsnapd-glib-dev.install:
     - Add new packages libsnapd-qt1, qml-module-snapd, libsnapd-qt-dev
     - Add build-depends on qtbase5-dev, qtdeclarative5-dev
   * debian/libsnapd-glib1.symbols:
     - Updated
Checksums-Sha1:
 425aca5514134294bf76b0ea8d3c0fde67d103cf 1779 snapd-glib_1.5-0ubuntu1.dsc
 cf4a01e3491b062e15dbfde0f0ec34f637afe575 373148 snapd-glib_1.5.orig.tar.xz
 e06993bffe0ddc0cb8f8cd8a5265a3ca532bb96b 6268 snapd-glib_1.5-0ubuntu1.debian.tar.xz
Checksums-Sha256:
 4786dbb297cd6a28e6181dd222cc34ac02bc563805864dc316142d4a8448cf1c 1779 snapd-glib_1.5-0ubuntu1.dsc
 28f66fe30051815066d079c3f35f6de079ccb3428e6218a61ccb34a5eefa9ba0 373148 snapd-glib_1.5.orig.tar.xz
 8c592ea62dbe03dec0c1c415f2addb1fb5d91f6f58882bc4c0defc6dc23cede8 6268 snapd-glib_1.5-0ubuntu1.debian.tar.xz
Files:
 3bcbe198be2521afb55741fd180620ab 1779 libs optional snapd-glib_1.5-0ubuntu1.dsc
 028f6916b61273512aa82a98b805a2cc 373148 libs optional snapd-glib_1.5.orig.tar.xz
 6beb8759b2684594571097d70fcb1cc6 6268 libs optional snapd-glib_1.5-0ubuntu1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iGMEARECACMFAliJYPIcHHJvYmVydC5hbmNlbGxAY2Fub25pY2FsLmNvbQAKCRAY
6qGJD3yILjEuAJwJy7NLsWNJI8qFtbpD/6FPZ9Yc9QCdFg5pAGhPLmfwmfuMEhvA
fLQZmgk=
=Lajg
-----END PGP SIGNATURE-----


More information about the Zesty-changes mailing list